28 lines
943 B
Diff
28 lines
943 B
Diff
From dfbbb0baf5f1124ab387bbf6ab9ec592462c14bb Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@hoyer.xyz>
|
|
Date: Mon, 18 Dec 2017 09:11:54 +0100
|
|
Subject: [PATCH] Merge pull request #326 from danimo/no_efi_fcoe_default
|
|
|
|
fcoe-uefi: Add check for usage
|
|
---
|
|
modules.d/95fcoe-uefi/module-setup.sh | 5 +++++
|
|
1 file changed, 5 insertions(+)
|
|
|
|
diff --git a/modules.d/95fcoe-uefi/module-setup.sh b/modules.d/95fcoe-uefi/module-setup.sh
|
|
index c9ff3c2f..a464df5a 100755
|
|
--- a/modules.d/95fcoe-uefi/module-setup.sh
|
|
+++ b/modules.d/95fcoe-uefi/module-setup.sh
|
|
@@ -12,6 +12,11 @@ check() {
|
|
}
|
|
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
|
[ -d /sys/firmware/efi ] || return 255
|
|
+ for c in /sys/bus/fcoe/devices/ctlr_* ; do
|
|
+ [ -L $c ] || continue
|
|
+ fcoe_ctlr=$c
|
|
+ done
|
|
+ [ -z "$fcoe_ctlr" ] && return 255
|
|
}
|
|
require_binaries dcbtool fipvlan lldpad ip readlink || return 1
|
|
return 0
|
|
|